Administration endpoints
The administration API in ADS is used for retrieving information, allowing clients to request data or query the status of the service. Its respective RESTful API endpoints are essential for operations that require accessing specific information without modifying the service's state or data.
All administration endpoints use the HTTP GET method and do not modify service state.
More specifically, the administration endpoints are used for the following operations:
- Healthcheck
- System information
- Metrics
The following table offers a structured overview of the GET endpoints available in ADS, as well as their functionalities:
| Endpoint | Function | Description |
|---|---|---|
GET /health | Healthcheck | Verifies the application's state, displays domain identifiers, and reports on reconfiguration attempts. The healthcheck endpoint provides the following probes: - /liveness- /readiness- /startupYou can find more information on these probes the next section. |
GET /info | System Information | Provides detailed system information useful for troubleshooting and support. |
GET /prometheus | Metrics | Exposes Prometheus-compatible metrics for monitoring. Must be enabled in configuration. See Metrics endpoints. |